Remotehost Docs
API ReferenceAgent sessions

Stream agent session events

GET
/agent-sessions/{sessionId}/events

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

sessionId*string
Formatuuid

Query Parameters

after?|

Output cursor to resume from when no Last-Event-ID header is sent.

Range0 <= value

Header Parameters

last-event-id?string

The id of the last output event received; takes precedence over after.

Match^\d+$

Response Body

text/event-stream

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agent-sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/events"
"string"